#!/bin/bash

if [ ! -f "/bin/systemctl" ] && [ ! -f "/usr/bin/systemctl" ]; then
 echo "imPcRemote requires SYSTEMD service, but it is not installed."
 echo "Installation can not start."
 exit 0
fi

sudo mkdir -p /opt/imPcRemote
#set -x
spath=`realpath $0`
spath=`dirname $spath`
sdpath="/usr/lib/systemd/system"
if [ ! -d $sdpath ]; then
 sdpath="/lib/systemd/system"
fi
sdetcpath="/etc/systemd/system"

echo "stop running imPcRemote..."
sudo systemctl stop impcremote &>/dev/null
sleep 5s
sudo killall imPcRemoteTray &>/dev/null

echo "copy files..."
sudo cp $spath/impcremote.service $sdpath
sudo cp $spath/service_start.sh /opt/imPcRemote
sudo cp $spath/uninstall.sh /opt/imPcRemote
sudo cp $spath/imPcRemoteService /opt/imPcRemote
sudo cp $spath/imPcRemoteTray /opt/imPcRemote
sudo cp $spath/impcremote.png /opt/imPcRemote
sudo cp $spath/impcremote.desktop /usr/share/applications
sudo cp $spath/impcremote-autostart.desktop /etc/xdg/autostart
sudo cp -R $spath/ssvnc /opt/imPcRemote

#silent.ini
if [ -f $spath/silent.ini ]; then
 cp $spath/silent.ini /tmp/silent.ini
fi

echo "install and start service..."
#sudo xhost +SI:localuser:root
#sudo xhost +local:root
if [ -f $sdetcpath/impcremote.service ]; then
 sudo rm $sdetcpath/impcremote.service
fi
#sudo ln -s $sdpath/impcremote.service $sdetcpath/impcremote.service
sudo systemctl daemon-reload
sudo systemctl start impcremote
sudo systemctl enable impcremote
sleep 5s

echo "start tray app..."
/opt/imPcRemote/imPcRemoteTray &

#end
echo Ready!
